=== debian/changelog ===
scilab (6.1.1+dfsg2-7) unstable; urgency=medium

  * Building for Architecture: any as Bug #550243 should not show up now 
  * Rewriting d/watch and d/u/metadata for the new Scilab repository on Gitlab

 -- Pierre Gruet <pgt@debian.org>  Thu, 22 Jun 2023 17:23:57 +0200

scilab (6.1.1+dfsg2-7~exp0) experimental; urgency=medium

  * debian/control:
    - Removing unneeded build-dependencies
    - Sorting and aligning dependencies in debian/control
    - Removing obsolete packages from Depends, Recommends and Suggests fields
      in debian/control
    - Depending on libeclipse-jdt-core-java instead of old libecj-java
    - Build-depending on libgl-dev instead of obsolete libgl1-mesa-dev
  * Bash completion files:
    - Removing legacy conffile in /etc/bash_completion.d using maintscripts
    - Installing the bash-completion file through dh_bash-completion
    - Correcting the syntax of bash complete with -o flag
  * Depending on lucene8 instead of lucene4.10
  * Setting the classpath of the built jar properly
  * Adding a Lintian override for an innocuous file with very-long-lines
  * Update Lintian override info to new format:
    - debian/scilab-minimal-bin.lintian-overrides: line 2
    - debian/scilab-full-bin.lintian-overrides: line 2

 -- Pierre Gruet <pgt@debian.org>  Sat, 27 May 2023 07:41:39 +0200

scilab (6.1.1+dfsg2-6) unstable; urgency=medium

  * Adding another --add-opens clause to the scilab invocation to avoid the
    Exception at GUI start (Closes: #1033496)
  * Adding myself as uploader

 -- Pierre Gruet <pgt@debian.org>  Sat, 06 May 2023 14:01:56 +0200

scilab (6.1.1+dfsg2-6~exp1) experimental; urgency=medium

  * Adding a binNMUable versioned dependency of scilab on scilab-full-bin

 -- Pierre Gruet <pgt@debian.org>  Sun, 23 Apr 2023 10:42:22 +0200

scilab (6.1.1+dfsg2-6~exp0) experimental; urgency=medium

  * Team upload
  * Rebuild against libjogl2-java version 2.4.0+dfsg, which changed the name of
    the .so file shipped in libjogl2-jni
  * Removing the unneeded build-dependency on dpkg-dev
  * Adding one more --add-opens in the invocation to work with openjdk-17

 -- Pierre Gruet <pgt@debian.org>  Sat, 22 Apr 2023 17:53:23 +0200

scilab (6.1.1+dfsg2-5) unstable; urgency=medium

  * Team upload
  * Raising Standards version to 4.6.2 (no change)
  * Adding missing dependencies on libfreehep-graphicsio-java and
    libfreehep-util-java
  * Fixing the FTBFS occurring during the doc build
  * Enabling starting with OpenJDK 17 (Closes: #1012099)
  * Selecting unversioned jars instead of versioned ones in the configure phase
    (Closes: #1030205)
  * Refreshing patches
  * Removing unneeded older-than versioned dependencies
  * Update lintian override info to new format:
    + debian/source/lintian-overrides: line 2, 4
    + debian/scilab-minimal-bin.lintian-overrides: line 4
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Update renamed lintian tag names in lintian overrides.
  * Set upstream metadata fields: Repository-Browse.
  * Fix day-of-week for changelog entry 5.0.3-1.

 -- Pierre Gruet <pgt@debian.org>  Sat, 11 Mar 2023 16:23:07 +0100

scilab (6.1.1+dfsg2-4) unstable; urgency=medium

  * Add patch to disambiguate pause (Closes: #1017283).

 -- Julien Puydt <jpuydt@debian.org>  Tue, 16 Aug 2022 11:55:44 +0200

scilab (6.1.1+dfsg2-3) unstable; urgency=medium

  * Bump standards-version to 4.6.0.
  * Fix d/watch.
  * Fix a lintian override.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 11 Nov 2021 16:32:02 +0100

scilab (6.1.1+dfsg2-2) unstable; urgency=medium

  [ Gilles Filippini ]
  * New patch hdf5-1.10.7.patch to disable H5_NO_DEPRECATED_SYMBOLS which
    causes FTBFS against HDF5 1.10.7 (Closes: #994109)

  [ Julien Puydt ]
  * Document where each patch has been forwarded upstream.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 15 Sep 2021 16:08:00 +0200

scilab (6.1.1+dfsg2-1) unstable; urgency=medium

  * Drop even more files from upstream's archive (now dfsg2),
    and document it in d/copyright.
  * New upstream release 6.1.1.
  * Document the manual pages have been forwarded upstream.
  * Refresh patches, drop two now useless.
  * Add find_external_libintl_jar.patch since the tarball doesn't
    have that file anymore.
  * Add patch from S.Glondu for OCaml 4.11.
  * Drop around_atlas_947827.patch (bug closed).

 -- Julien Puydt <jpuydt@debian.org>  Fri, 10 Sep 2021 07:02:44 +0200
