## scilab 2024.0.0%2Bdfsg

=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,7 @@
 export CCACHE_DIR := $(CURDIR)/debian/ccache
 
 CONFIGURE_ARGS += --prefix=/usr \
+	--libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
 	--with-fftw \
 	--with-umfpack --enable-build-localization \
 	--with-install-help-xml --enable-build-help \
@@ -23,9 +24,13 @@
 endif
 
 ifneq (,$(findstring $(DEB_HOST_ARCH),amd64))
-	DOC=1
+    ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
+        DOC=1
+    else
+        DOC=0
+    endif
 else
-	DOC=0
+    DOC=0
 endif
 
 %:
@@ -33,6 +38,10 @@
 
 # Do not run libtoolize because it can mess up with Scilab library
 override_dh_autoreconf:
+	# First, making backups of some files that will get changed during the build.
+	for F in $$(find . -name "Makefile.in") scilab/aclocal.m4 scilab/configure scilab/etc/Info.plist.in scilab/modules/core/includes/machine.h.in scilab/modules/core/src/cpp/banner.cpp scilab/modules/windows_tools/src/c/scilab_windows/console.c; do \
+	    cp $$F $${F}.save ;\
+	done
 	cd scilab && autoreconf
 
 override_dh_auto_configure:
@@ -55,9 +64,10 @@
 	make -C scilab install install-data install-html \
 		prefix=$(CURDIR)/debian/tmp/usr \
 		bindir=$(CURDIR)/debian/tmp/usr/bin \
-		datadir=$(CURDIR)/debian/tmp/usr/share/ \
-		sharedir=$(CURDIR)/debian/tmp/usr/share/ \
-		docdir=$(CURDIR)/debian/tmp/usr/share/doc/
+		libdir=$(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH) \
+		datadir=$(CURDIR)/debian/tmp/usr/share \
+		sharedir=$(CURDIR)/debian/tmp/usr/share \
+		docdir=$(CURDIR)/debian/tmp/usr/share/doc
 
 # Remove empty directories but not files (#907607: scilab-cli doesn't start)
 	find debian/tmp/usr/share/scilab -type d -empty -delete
@@ -157,6 +167,15 @@
 	mkdir -p $(CURDIR)/debian/scilab-full-bin/usr/share/java/
 	mkdir -p $(CURDIR)/debian/scilab-full-bin/usr/lib/jni/
 	cp debian/tmp/usr/share/scilab/modules/javasci/jar/org.scilab.modules.javasci.jar $(CURDIR)/debian/scilab-full-bin/usr/share/java/
-	mv debian/tmp/usr/lib/scilab/libjavasci2.so*  $(CURDIR)/debian/scilab-full-bin/usr/lib/jni/
+	mv debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/scilab/libjavasci2.so*  $(CURDIR)/debian/scilab-full-bin/usr/lib/jni/
 
-override_dh_dwz:
+execute_after_dh_install-arch:
+	# Hiding the build path written in /usr/include/scilab/machine.h
+	sed -i 's/\(ffile-prefix-map=\).*\(=\.\)/\1<builddir>\2/' debian/scilab-include/usr/include/scilab/machine.h
+
+execute_after_dh_install-indep:
+	# Converting encoding to UTF-8 for some files
+	for F in usr/share/scilab/contrib/toolbox_skeleton/toolbox_skeleton_redist.iss usr/share/scilab/modules/graphics/tcl/ged/Axes.tcl; do \
+	    iconv -f ISO_8859-1 debian/scilab-data/$$F > debian/scilab-data/$$F.temp;\
+	    mv debian/scilab-data/$$F.temp debian/scilab-data/$$F;\
+	done
