## scilab 2024.0.0+dfsg

=== DESCRIPTION ===
Toolbox: toolbox_1V6

Title: Toolbox Test 1 for Scilab 6

Summary: Toolbox Test 1 for Scilab 6

Version: 1.0

Author: vincent.couvert@scilab-enterprises.com
 antoine.elias@scilab-enterprises.com

Maintainer: Vincent Couvert <vincent.couvert@scilab-enterprises.com>

Category: Tests
 Data Analysis And Statistics - Neural networks

Entity: Scilab Enterprises

WebSite: http://forge.scilab.org/index.php/p/atoms-tests/

URL: http://atoms.scilab.org/toolboxes/toolbox_1V6/1.0

License: Public Domain

ScilabVersion: >= 6.0

Depends: 

Date: 2015-06-04 10:51:09

Description: Test the Atoms system
 
 It contains 4 functions :
 
  - t1_version()
 
  - t1_function1()
  - t1_function2()
  - t1_function3()
