=== debian/changelog ===
scilab (2024.0.0+dfsg-1) unstable; urgency=medium

  * New upstream version 2024.0.0+dfsg:
    - Refreshing patches
    - Refreshing the list of files to install in the binary packages
    - Using Debian-packaged jars that are needed by new upstream version
  * debian/rules:
    - Updating the dh_clean rule
    - Enabling dh_dwz again
    - Hiding the build path from the shipped files
    - Ruling out national encoding by converting to UTF-8
    - Honouring DEB_BUILD_OPTIONS=nodoc
  * debian/control:
    - Refreshing (build-)dependencies
    - Removing the alternative B-D on atlas, as it will get removed soon
    - Removing unneeded versioned build-dependency
  * Adding autopkgtests
  * Refreshing d/copyright in a simple version, preparing a shell script for
    possible deeper listing
  * Installing (private) shared libraries in architecture-specific locations
  * Adding XML_CFLAGS to CPPFLAGS for the webtools shared library
  * Excluding .bat and .vcxproj files when repacking
  * Altering build flags to conform to Debian standards for hardening and
    generating debug symbols
  * Adding missing exec codes in .desktop files
  * Providing .metainfo files along the .desktop ones, dropping .appdata.xml
    file
  * Correcting minor spelling mistakes and adding a Lintian overrides for
    false positives it raises
  * Lintian overrides:
    - Removing an obsolete Lintian override for the source package
    - Adding and explaining some Lintian overrides:
      + text files outside of /usr/share/doc
      + unnecessary triggered activation of ldconfig
      + hardening
      + shared libraries lacking prerequisites
      + bad jar name

 -- Pierre Gruet <pgt@debian.org>  Sat, 25 Nov 2023 21:16:10 +0100

scilab (6.1.1+dfsg2-10) unstable; urgency=medium

  * Fixing the clean target (Closes: #1046942)
  * Putting unversioned symlinks to the versioned lucene8 jars in the
    classpath (Closes: #1054551)

 -- Pierre Gruet <pgt@debian.org>  Fri, 10 Nov 2023 17:38:00 +0100

scilab (6.1.1+dfsg2-9) unstable; urgency=medium

  * Reworking the pcre3_to_pcre2 patch so that users can provide patterns with
    delimiters and modifiers again
  * Removing the d/NEWS file as there is no more information to provide about
    changes in the regex pattern syntax

 -- Pierre Gruet <pgt@debian.org>  Tue, 25 Jul 2023 21:46:18 +0200

scilab (6.1.1+dfsg2-8) unstable; urgency=medium

  * Using pcre2 instead of obsolete pcre3 (Closes: #999966)
  * Providing a debian/NEWS file to let users know about the changes in regex
    handling in scilab.
  * Correcting some unmatched/obsolete Lintian overrides
  * Trim trailing whitespace.

 -- Pierre Gruet <pgt@debian.org>  Mon, 24 Jul 2023 10:27:50 +0200
