=== debian/control ===
--- 
+++ 
@@ -10,9 +10,10 @@
                fakeroot,
                gfortran,
                javahelper,
+               libarchive-dev,
                libcurl4-openssl-dev,
                libnum-ocaml-dev,
-               libpcre3-dev,
+               libpcre2-dev,
                libxml2-dev,
                pkgconf,
                tcl-dev,
@@ -20,7 +21,7 @@
                tk-dev,
 # numerical libraries
                libarpack2-dev,
-               libblas-dev | libatlas-base-dev,
+               libblas-dev | libblas.so,
                libeigen3-dev,
                liblapack-dev,
 # Java deps
@@ -29,11 +30,13 @@
                libactivation-java,
                libflexdock-java,
                libgl-dev,
+               libjakarta-activation-java,
                libjaxb-java,
                libjgoodies-looks-java,
                libjogl2-java (>= 2.4.0+dfsg),
                libjrosetta-java,
                liblucene8-java,
+               libopenjfx-java,
                libskinlf-java,
 # graphic
                libfreehep-graphicsio-emf-java,
@@ -47,11 +50,11 @@
                libavalon-framework-java,
                libbatik-java,
                libjeuclid-core-java,
-               libsaxon-java,
+               libsaxonhe-java,
                libxml-commons-external-java,
 # Optional Scilab features
                libfftw3-dev,
-               libmatio-dev (>= 1.5.18),
+               libmatio-dev,
                libsuitesparse-dev,
 # latex rendering
                libjlatexmath-fop-java,
@@ -209,6 +212,7 @@
          libfreehep-graphicsio-java,
          libfreehep-graphics2d-java,
          libfreehep-util-java,
+         libjakarta-activation-java,
          libjaxb-java,
          libjeuclid-core-java,
          libjgoodies-looks-java,
@@ -218,7 +222,8 @@
          libjogl2-java (>= 2.4.0+dfsg),
          libjrosetta-java,
          liblucene8-java,
-         libsaxon-java,
+         libopenjfx-java,
+         libsaxonhe-java,
          libskinlf-java,
          scilab-minimal-bin (= ${binary:Version}),
          ${shlibs:Depends},
@@ -301,5 +306,3 @@
 Description: Scientific software package (Brazilian Portuguese documentation)
  Scilab is a matrix-based scientific software package.
  Scilab contains hundreds of built-in mathematical functions, rich
- data structures (including polynomials, rationals, linear systems, lists,
- etc...) and comes with a number of specific toolboxes for
