=== debian/tests/control ===
Tests: graphical-sa
Depends: scilab, xvfb, xauth
Restrictions: allow-stderr

Tests: cli-ode
Depends: build-essential, scilab-cli
