## scilab 2024.1.0%2Bdfsg

=== DESCRIPTION ===
Toolbox: toolbox_6V6

Title: Toolbox Test 6 for Scilab 6

Summary: Toolbox Test 6 for Scilab 6

Version: 1.0

Author: vincent.couvert@scilab-enterprises.com

Maintainer: Vincent Couvert <vincent.couvert@scilab-enterprises.com>

Category: Tests

Entity: Scilab Enterprises

WebSite: http://forge.scilab.org/index.php/p/atoms-tests/

URL: http://atoms.scilab.org/toolboxes/toolbox_6V6/1.0

License: CeCILL

ScilabVersion: >= 6.0

Depends: >= toolbox_2V6 2.0
 ~ toolbox_1V6 any

Date: 2015-06-04 12:26:04

Description: Test the Atoms system
 
 It contains 4 functions :
  - t1_version()
  - t1_function1()
  - t1_function2()
  - t1_function3()
