=== scilab/modules/call_scilab/tests/nonreg_tests/Makefile ===
--- 
+++ 
@@ -18,7 +18,8 @@
 EXEC=bug_7601 \
 	bug_7602 \
 	bug_8115 \
-	bug_8830
+	bug_8830 \
+	bug_11394
 
 SRC= $(EXEC:=.c)
 
@@ -43,6 +44,9 @@
 bug_8830: bug_8830.o
 	$(CC) -o $@ $^ $(LDFLAGS)
 
+bug_11394: bug_11394.o
+	$(CC) -o $@ $^ $(LDFLAGS)
+
 %.o: %.c
 	$(CC) -o $@ -c $< $(CFLAGS)
