=== debian/changelog ===
scilab (2024.1.0+dfsg-8build5) resolute; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 24 Jan 2026 03:10:40 +0100

scilab (2024.1.0+dfsg-8build4) resolute; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 29 Dec 2025 10:01:41 +0100

scilab (2024.1.0+dfsg-8build3) resolute; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 06 Nov 2025 08:50:23 +0100

scilab (2024.1.0+dfsg-8build2) resolute; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 01 Nov 2025 08:57:41 +0100

scilab (2024.1.0+dfsg-8build1) resolute; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 28 Oct 2025 20:50:48 +0100

scilab (2024.1.0+dfsg-8) unstable; urgency=medium

  * Fixing build with gcc-15 by cherry-picking upstream commit
    (Closes: #1097854)

 -- Pierre Gruet <pgt@debian.org>  Sat, 11 Oct 2025 20:16:39 +0200

scilab (2024.1.0+dfsg-7) unstable; urgency=medium

  * Patching code again for libxml2/2.14.5 (Closes: #1106630)
  * Patching ocamlopt invocations to build against ocaml-nul/1.6-1
    (Closes: #1111281)
  * Raising Standards version to 4.7.2 (no change)

 -- Pierre Gruet <pgt@debian.org>  Mon, 18 Aug 2025 14:46:07 +0200

scilab (2024.1.0+dfsg-6) unstable; urgency=medium

  * Skipping libxml2 patch until version 2.12.7 enters Debian/unstable again
    (Closes: #1084378)
  * Refreshing patches

 -- Pierre Gruet <pgt@debian.org>  Tue, 08 Oct 2024 22:13:28 +0200

scilab (2024.1.0+dfsg-5) unstable; urgency=medium

  * Team upload
  * Drop macOS-only JFXScilabFileChooser
  * Drop javafx jars from classpath

 -- Bastian Germann <bage@debian.org>  Fri, 13 Sep 2024 16:42:37 +0200

scilab (2024.1.0+dfsg-4) unstable; urgency=medium

  * Enhancing CPPFLAGS to build against HDF5/1.14, thanks to Gilles Filippini

 -- Pierre Gruet <pgt@debian.org>  Fri, 16 Aug 2024 11:54:37 +0200

scilab (2024.1.0+dfsg-3) unstable; urgency=medium

  * Fixing more GCC 14 issues (Closes: #1077424)

 -- Pierre Gruet <pgt@debian.org>  Tue, 06 Aug 2024 11:12:25 +0200

scilab (2024.1.0+dfsg-2) unstable; urgency=medium

  * Building against GCC 14 (Closes: #1075494)

 -- Pierre Gruet <pgt@debian.org>  Thu, 11 Jul 2024 23:23:11 +0200

scilab (2024.1.0+dfsg-1) unstable; urgency=medium

  * New upstream version 2024.1.0+dfsg
  * Refreshing patches
  * Solving FTBFS against libxml2/2.12.7+dfsg
  * Skipping the check of the installed version of flexdock when configuring
  * Adding a Lintian override for a file with very long lines
  * Fixing obsolete Lintian override for 'tright' spelling error

 -- Pierre Gruet <pgt@debian.org>  Tue, 04 Jun 2024 00:05:38 +0200

scilab (2024.0.0+dfsg-6) unstable; urgency=medium

  * Raising Standards version to 4.7.0 (no change)
  * Solving implicit declarations (Closes: #1066681)
  * Fixing missing fields in metainfo.xml files

 -- Pierre Gruet <pgt@debian.org>  Mon, 08 Apr 2024 21:48:24 +0200

scilab (2024.0.0+dfsg-5) unstable; urgency=medium

  * Adding a NEWS.debian file in scilab to inform user they might have to
    remove their $HOME/.Scilab directory after the upgrade
  * Excluding s390x from the autopkgtest architectures because of jogl2 issues
    there

 -- Pierre Gruet <pgt@debian.org>  Mon, 27 Nov 2023 21:49:09 +0100

scilab (2024.0.0+dfsg-4) unstable; urgency=medium

  * Fixing the overrides of dh_install and dh_fixperms in -arch and -indep ways
    to reintroduce the changes removed since 2024.0.0+dfsg-2

 -- Pierre Gruet <pgt@debian.org>  Mon, 27 Nov 2023 06:57:20 +0100

scilab (2024.0.0+dfsg-3) unstable; urgency=medium

  * Omitting the override of dh_fixperms as it fails on buildds, not on
    porterboxes.

 -- Pierre Gruet <pgt@debian.org>  Sun, 26 Nov 2023 18:49:40 +0100

scilab (2024.0.0+dfsg-2) unstable; urgency=medium

  * Omitting the conversion from ISO_8859 to UTF-8 as it fails on buildds, yet
    not on porterboxes.

 -- Pierre Gruet <pgt@debian.org>  Sun, 26 Nov 2023 14:33:37 +0100
